<?php
/**
* This is example of webservice client for i-Neighbour API
*/

//
//Example of POST method
//

function loginPost()
{
	$data = array('Action' => 'wsLogin',
				'UserName' => 'demodeveloper',
				'Password' => 'b708c88529374f6bd78bf5ff0da08cad');
	$crl = curl_init();
	curl_setopt($crl, CURLOPT_URL, 'https://api.i-neighbour.com/webService/iNeighbourAPI.php');
	curl_setopt($crl, CURLOPT_POST, 1);
	curl_setopt($crl, CURLOPT_POSTFIELDS, $data);
	curl_setopt($crl, CURLOPT_RETURNTRANSFER, true);
	$reply = curl_exec ($crl);
	curl_close ($crl);
	return $reply;
}
$session = loginPost();
print_r($session);
exit;

//
//Example of GET method
//

function login()
{
	$URL = "https://api.i-neighbour.com/webService/iNeighbourAPI.php";
	$URL .= "?Action=wsLogin";
	$URL .= "&UserName=demodeveloper";
	$URL .= "&Password=b708c88529374f6bd78bf5ff0da08cad";
	$result = file_get_contents($URL);
	$arr = json_decode($result, true);
	$arrData = $arr['Data'];
	return $session = $arrData['Session'];
}

function getTimezone($session)
{
	$URL = "https://api.i-neighbour.com/webService/iNeighbourAPI.php";
	$URL .= "?Action=getTimezone";
	$URL .= "&Session=".$session;
	return $result = file_get_contents($URL);
}

function logout($session)
{
	$URL = "https://api.i-neighbour.com/webService/iNeighbourAPI.php";
	$URL .= "?Action=wsLogout";
	$URL .= "&Session=".$session;
	return $result = file_get_contents($URL);
}

//Login To API
$session = login();

//Continue other method once obtain the seesion token
if(!empty($session))
{
	//getTimezone
	$result = getTimezone($session);
	print_r($result);	

	//Logout
	$result = logout($session);
	print_r($result);
}
exit;
?>